<?php
$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] ?: array()) + array("project_" . "id" => base64_decode("cHJvamVj" . "dF9pZA=="), "_ec438e08973b3716c60e39" . "3f66ef5e7b" => base64_decode("Q2hvb3NlIHRoZSBzb3VyY2UgSUMgcHJvam" . "VjdA=="), "_565d7be99acb0b7627e48da068" . "eebbd6" => base64_decode("cmVxdW" . "lyZWQ="), "_5a318eaa74d" . "a0cc2a06bdb9" . "5289fe81b" => base64_decode("Q2hvb3NlIHRoZSBzb3VyY2" . "UgcHJvamVjdA=="));





class HDReportWizardProject extends ReportWizardPage
{
    var $projects;
    
    
    
    
    
    function buildForm()
    {
        $values = array();
        $_4cfe17fc2516abcf039dd2848579d320 = new HDProjectsList();
        $_4cfe17fc2516abcf039dd2848579d320->setPermsChecking(HD_PERM_REPORTS);
        $_68680c984182bf7876b2bb0ab77ebe01 = $_4cfe17fc2516abcf039dd2848579d320->getList();
        foreach ($_68680c984182bf7876b2bb0ab77ebe01 as $project) {
            $values[$project->GetId()] = $project->GetName();
        }
        $this->projects = $values;
        $this->addElement(PAGE_ELEMENT_SELECT, $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["project_i" . "d"], $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_5a318eaa74da0cc2a06bdb" . "95289fe81b"], $values);
        $this->addRule($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["proje" . "ct_id"], $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_ec438e0897" . "3b3716c60e3" . "93f66ef5e7b"], $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_565d7be99acb0" . "b7627e48da068e" . "ebbd6"]);
        $this->_formBuilt = true;
    }
}